/** @format */

import request from "@/utils/request";

//获取人才类别
export function getlistByCardType(params) {
  return request({
    url: "/talents/matter/listByCardType",
    method: "get",
    params,
  });
}

//获取人才称号
export function getListByParentId(params) {
  return request({
    url: "/talents/matter/listByParentId",
    method: "get",
    params,
  });
}

//A卡提交信息
export function addCG(data) {
  return request({
    url: "/application/form/addCG",
    method: "post",
    data,
  });
}

//获取提交的材料信息
export function getMaterialsData(id) {
  return request({
    url: "/application/form/" + id,
    method: "get",
  });
}

//完成提交
export function finishMatter(id) {
  return request({
    url: "/application/form/accomplishShenQing/" + id,
    method: "get",
  });
}
//保存草稿
export function postDraftBox(data) {
  return request({
    url: "/application/form/saveCGButtonData",
    method: "post",
    data,
  });
}
